# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: geanygdb
Version: 0.0.2
Release: alt3.M50P.1

Summary: Plugin to provide integrated debugging from Geany

License: GPLv2
Group: Development/Tools
Url: http://plugins.geany.org/geanygdb/
Packager: Slava Semushin <php-coder@altlinux.ru>

Source: http://plugins.geany.org/geanygdb/geanygdb-%version.tar.gz

Requires: geany = 0.19.2
Requires: gdb
BuildRequires: intltool geany-devel

%description
This is a plugin to provide integrated debugging from Geany using the
GNU debugger (gdb).

%prep
%setup

%build
%configure
%make_build --silent --no-print-directory CFLAGS="%optflags -Werror"

%install
%makeinstall_std --silent --no-print-directory
%find_lang %name

%files -f %name.lang
%doc AUTHORS README THANKS
%_bindir/geanygdb_ttyhelper
%_libdir/geany/*

%changelog
* Mon Dec 27 2010 Fr. Br. George <george@altlinux.ru> 0.0.2-alt3.M50P.1
- Rebuild for P5 (backports release policy apllied)

* Mon Dec 27 2010 Fr. Br. George <george@altlinux.ru> 0.0.2-alt0.M50P.4
- Rebuild for P5 (release fixed)

* Mon Dec 27 2010 Fr. Br. George <george@altlinux.ru> 0.0.2-alt0.M50p.4
- Rebuild for P5

* Mon Dec 27 2010 Fr. Br. George <george@altlinux.ru> 0.0.2-alt4
- Rebuild with geany 1.19.2

* Tue Aug 18 2009 Slava Semushin <php-coder@altlinux.ru> 0.0.2-alt3
- Rebuild with geany 0.18

* Sun May 03 2009 Slava Semushin <php-coder@altlinux.ru> 0.0.2-alt2
- Rebuild with geany 0.17

* Fri May 01 2009 Slava Semushin <php-coder@altlinux.ru> 0.0.2-alt1
- Initial build for ALT Linux (Closes: #19561, requested by cas@)

